jQuery( function ( $ ) {
		
	var timeout = {};
	
	var $select = $( 'select#ats_products' ).selectize( {
		placeholder: jgtb_ats.selectize_placeholder,
		plugins:     [ 'restore_on_backspace', 'clear_button' ],
		delimiter:   ' - ',
		persist:     false,
		maxItems:    null,
		valueField:  'id',
		labelField:  'name',
		searchField: [ 'name' ],
		options:     [],
		onType: function ( value ) {
			clearTimeout( timeout );
			timeout = setTimeout( function () { product_search( value ); }, jgtb_ats.selectize_typing_duration );
		}
	} );
	
	var $selectize = false;
	
	if ( $select.length ) {
		$selectize = $select[0].selectize;
	}
	
	var xhr = false;
	
	function product_search( value ) {
		if ( $selectize.hasOwnProperty( 'plugins' ) ) {
			
			if ( xhr.length > 0 ) {
				xhr.abort();
			}
			
			let sub_id = $( '[name="ats_id"]' ).val();
			
			xhr = $.ajax( {
				type:  'POST',
				url:   jgtb_ats.ajaxurl,
				data:  {
					action:   'jgtb_ats_product_search',
					security: jgtb_ats.nonce,
					value:    value,
					sub_id:   sub_id,
				},
				cache: false,
				success: function( response ) {
					if ( true === response.success && response.data.options && response.data.options.length > 0 ) {
						$selectize.addOption( response.data.options );
						$selectize.refreshOptions();
					} else {
						$selectize.clear();
					}
					
				},
				error: function( xhr, status, error ) {
					console.log( error );
				},
			} );
			
		}
	}
	
} );