<?php
namespace Javorszky\Toolbox;

add_action( 'wcs_user_removed_item', __NAMESPACE__ . '\\removed_item_from_subscription', 10, 2 );

/**
 * When an item is removed from a subscription, recalculate the shipping costs.
 *
 * @param \WC_Order_Item_Product $line_item The line item that was removed.
 * @param \WC_Subscription       $subscription The subscription the item was removed from.
 * 
 * @return void
 */
function removed_item_from_subscription( \WC_Order_Item_Product $line_item, \WC_Subscription $subscription ): void {
	// Maybe recalculate shipping for the subscription.
	Utilities\maybe_recalculate_and_apply_shipping_for_subscription( $subscription );
}