<?php
namespace ShopPlugins\Updater;

/**
 * Include the Shop Plugins updater on init.
 */
function updater() {
	$data = array(
		'name'    => 'Toolbox for WooCommerce Subscriptions',
		'file'    => JGTB_FILE,
		'version' => JGTB_VERSION,
	);

	if ( ! class_exists( '\ShopPlugins\Updater\WP_Updater' ) ) {
		if ( file_exists( JGTB_PATH . '/vendor/shopplugins/wp-updater/class-wp-updater.php' ) ) {
			require JGTB_PATH . '/vendor/shopplugins/wp-updater/class-wp-updater.php';
		}
	}

	if ( ! class_exists( '\ShopPlugins\Updater\WP_Updater' ) ) {
		// maybe we are dealing with WPO updater
		if ( ! class_exists( 'WPO_Update_Helper' ) ) {
			if ( file_exists( JGTB_PATH . '/updater/update-helper.php' ) ) {
				require JGTB_PATH . '/updater/update-helper.php';
			}
		}

		if ( ! class_exists( 'WPO_Update_Helper' ) ) {
			return;

		} else {
			extract( $data );
			$license_slug = 'toolbox_for_woocommerce_subscriptions';
			$author       = 'WP Overnight';
			new \WPO_Update_Helper( $name, $file, $license_slug, $version, $author );
		}

	} else {
		$data['api_url'] = 'https://shopplugins.com';
		new \ShopPlugins\Updater\WP_Updater( $data );
	}

}

add_action( 'admin_init', '\ShopPlugins\Updater\updater' );
