<?php

// get available shipping methods
$shipping_options                = \Javorszky\Toolbox\Utilities\get_available_shipping_methods_as_options( $subscription );
$current_shipping_method_rate_id = \Javorszky\Toolbox\Utilities\get_single_subscription_shipping_rate_id( $subscription );
?>
<tr class="jgtb-change-shipping-method">
	<td>
		<p><?php esc_html_e( 'Change Shipping Method', 'jg-toolbox' ); ?></p>
	</td>
	<td>
		<?php
		if ( 'cancelled' !== $subscription->get_status() ) {
			echo ( isset( $embed_form ) && $embed_form ) ? '<form action="" method="POST">' : '';
			wp_nonce_field( 'change_shipping_method_' . $subscription->get_id() . '_' . $current_shipping_method_rate_id, 'jgtb_change_shipping_method_nonce', false );
			?>
			<select name="new_shipping_method_rate_id" id="new_shipping_method_rate_id">
				<?php
				foreach ( $shipping_options as $method_rate_id => $method_title ) {
					?>
					<option value="<?php echo esc_attr( $method_rate_id ); ?>" <?php selected( $current_shipping_method_rate_id, $method_rate_id ); ?>><?php echo esc_html( $method_title ); ?></option>
					<?php
				}
				?>
			</select>
			<?php
			echo ( isset( $embed_form ) && $embed_form ) ? '<button type="submit">' . esc_html_x( 'Go', 'Button to submit shipping method change', 'jg-toolbox' ) . '</button></form>' : '';
		} else {
			?>
			<label>
				<?php echo esc_html( $shipping_options[ $current_shipping_method_rate_id ] ); ?>
			</label>
			<?php
		}
		?>
	</td>
</tr>
<?php

